Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

ezbzip2compressionhandler.php
Go to the documentation of this file.
1 <?php
19 class eZBZIP2Handler extends eZCompressionHandler
20 {
24 public function __construct()
25 {
26 parent::__construct( 'BZIP2', 'bz2' );
27 }
28
29 function doOpen( $filename, $mode )
30 {
31 }
32
33 function doClose()
34 {
35 }
36
37 function doRead( $uncompressedLength = false )
38 {
39 }
40
41 function doWrite( $data, $uncompressedLength = false )
42 {
43 }
44
45 function doFlush()
46 {
47 }
48
49 function compress( $source )
50 {
51 }
52
53 function decompress( $source )
54 {
55 }
56
57 function error()
58 {
59 }
60
61 function errorString()
62 {
63 }
64
65 function errorNumber()
66 {
67 }
68
70 public $WorkFactor;
71 public $BlockSize;
72 public $SmallDecompress;
73 }
74
75 ?>
eZBZIP2Handler
Handles files compressed with bzip2.
Definition: ezbzip2compressionhandler.php:20
eZBZIP2Handler\errorString
errorString()
Definition: ezbzip2compressionhandler.php:61
eZBZIP2Handler\error
error()
Definition: ezbzip2compressionhandler.php:57
eZBZIP2Handler\doWrite
doWrite( $data, $uncompressedLength=false)
Definition: ezbzip2compressionhandler.php:41
eZBZIP2Handler\__construct
__construct()
Definition: ezbzip2compressionhandler.php:24
eZBZIP2Handler\doOpen
doOpen( $filename, $mode)
Definition: ezbzip2compressionhandler.php:29
eZBZIP2Handler\compress
compress( $source)
Definition: ezbzip2compressionhandler.php:49
eZBZIP2Handler\doFlush
doFlush()
Definition: ezbzip2compressionhandler.php:45
eZBZIP2Handler\$SmallDecompress
$SmallDecompress
Definition: ezbzip2compressionhandler.php:72
eZBZIP2Handler\$WorkFactor
$WorkFactor
Definition: ezbzip2compressionhandler.php:70
eZBZIP2Handler\doRead
doRead( $uncompressedLength=false)
Definition: ezbzip2compressionhandler.php:37
eZBZIP2Handler\errorNumber
errorNumber()
Definition: ezbzip2compressionhandler.php:65
eZBZIP2Handler\decompress
decompress( $source)
Definition: ezbzip2compressionhandler.php:53
eZBZIP2Handler\$BlockSize
$BlockSize
Definition: ezbzip2compressionhandler.php:71
eZBZIP2Handler\doClose
doClose()
Definition: ezbzip2compressionhandler.php:33
eZCompressionHandler
Interface for file handlers using compression.
Definition: ezcompressionhandler.php:34
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.